Subject: [Fot] Burt Levy’s new character

From: dustin nicholson via Fot <[email-masked]>
Date: Mon, 1 May 2023 22:00:45 -0500

So I was hanging out tonight with a handful of FoT and it became apparent that the details of Burt Levy’s most recent book in the Last Open Road series isn’t known by all of our group.

Did y’all know that Burt weaved in to his story a new character in the mid 1960’s, a young man with a new TR4 that he is having converted into a race car as he is very eager to get into the sport and is a die-hard Triumph guy. This character is sprinkled into several chapters and his name is… Joe Alexander.

Is there more to the story of how this “fictional” character got written into the book?

It was a neat surprise to me and I don’t think I’ve seen mention of it on FoT.

Dusty Nicholson 
1957 FIA TR3 #43 Daytona car
1955 TR3 #72 Runoffs car
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]